package com.yfd.platform.exception.file;

import com.yfd.platform.exception.StorageSourceException;
import com.yfd.platform.utils.CodeMsg;

/**
 * 无效的存储源异常
 *
 * @author zhengsl
 */
public class InvalidStorageSourceException extends StorageSourceException {

	public InvalidStorageSourceException(String message) {
		super(CodeMsg.STORAGE_SOURCE_NOT_FOUND, null, message);
	}

	public InvalidStorageSourceException(Integer storageId) {
		super(CodeMsg.STORAGE_SOURCE_NOT_FOUND, storageId, CodeMsg.STORAGE_SOURCE_NOT_FOUND.getMsg());
	}

	public InvalidStorageSourceException(Integer storageId, String message) {
		super(CodeMsg.STORAGE_SOURCE_NOT_FOUND, storageId, message);
	}

}
